• Michael Catanzaro's avatar
    Deprecate TLS rehandshake APIs · 85f7d493
    Michael Catanzaro authored
    Allowing unsafe rehandshakes used to be required for web compatibility,
    but this is no longer a concern in 2018. So there should no longer be
    compatibility benefits to calling this function. All it does is make
    your TLS connection insecure.
    
    Also, rehandshaking no longer exists at all in TLS 1.3.
    
    At some point (maybe soon!) glib-networking will begin ignoring the
    rehandshake mode, so let's deprecate it now.
    85f7d493
gtlsconnection.h 6.02 KB